Я пытался обновить с 13.04 до 13.10. Получил & ldquo; Не удалось рассчитать обновление & rdquo; ошибка [дубликат]

На этот вопрос уже есть ответ:

Я пробежал

grep Broken /var/log/dist-upgrade/apt.log

Вот что я получил

Broken libpam-systemd:i386 Conflicts on libpam-xdg-support [ i386 ] < 0.2-0ubuntu2 > ( universe/admin )

Broken iputils-ping:i386 Depends on libgnutls-openssl27 [ i386 ] < none -> 2.12.23-1ubuntu1 > ( libs )

Broken ubuntu-standard:i386 Depends on dnsutils [ i386 ] < none -> 1:9.9.2.dfsg.P1-2ubuntu2 > ( net )`

Буду признателен за помощь в устранении этой ошибки. Спасибо :)

4
задан 17.04.2020, 04:49

2 ответа

Это общая проблема, которую я видел и испытал на себе. Вот ваше решение:

sudo mv /etc/apt/sources.list.d/ /etc/apt/sources.list.d.bak; sudo sed -i 's/raring/saucy/g' /etc/apt/sources.list; sudo apt-get update; sudo apt-get upgrade -y; sudo apt-get dist-upgrade -y; sudo apt-get install -f; sudo mv /etc/apt/sources.list.d.bak /etc/apt/sources.list.d; sudo sed -i 's/raring/saucy/g' /etc/apt/sources.list.d/*; sudo apt-get update; sudo apt-get upgrade -y; sudo apt-get dist-upgrade -y; sudo apt-get install ubuntu-desktop -y

Это создаст резервную копию ваших PPA, переместив их, чтобы они не мешали обновлению, обновите Ubuntu 13.04 до Ubuntu 13.10, затем установите ваши PPA обратно и обновите их до Saucy и, наконец, попытаться установить пакеты PPA для Saucy. Однако некоторые из ваших PPA могут еще не поддерживать Saucy.

Обязательно внимательно следите за выходом на предмет любых проблем.

-2
ответ дан 17.04.2020, 04:50
  • 1
    Это уничтожит установку. Murphy говорит, что это наиболее вероятно, что Вы испортите свою установку (имитирующий метод обновления Debian), что Вы успешно обновляете. – Robert Fricke 17.04.2020, 04:50
  • 2
    Посмотрите этот meta.askubuntu.com/q/7516/169736 – GoalBased 17.04.2020, 04:51
  • 3
    Braiam, Вы ясно don' t знают то, о чем Вы говорите. это не будет ' уничтожьте installation'. сделать такие операторы - ясный индикатор, что Вы абсолютно ничего не знаете об этом предмете. Я советую Вам изучать документацию как ' do-release-upgrade' работы. – AHiggins 17.04.2020, 04:51

Этот работал для меня

sudo ppa-purge xorg-edgers
2
ответ дан 17.04.2020, 04:51

Теги

Похожие вопросы